function setup()
	actor.name = "Minat"
	actor.portrait = "minat"
	actor.repairCost = 100
	actor.repairTime = 3
	
	actor.addMessage("MINAT: Ah, just the sort of body-guard I was looking for. Protect me and you will be well-rewarded!", "", 0, 1)
	
	actor.addMessage("MINAT: Do you need soap? I'm selling scented soaps. Humans always have a need for soap.", "", 5)
	actor.addMessage("AS HUMAN SCHOLAR OF COURSE I AM AWARE OF THIS CUSTOM" , "stolenrobot", 5)
	actor.addMessage("PLEASE DELIVER TO ME ALL SOAP", "stolenrobot", 5)
	actor.addMessage("MINAT: I sense an excellent business relationship. Why don't I stick around?", "", 5)
	
	actor.addEvent("boss_minat", 0)
	actor.addEvent("bossfriendly_1", 0)
	actor.addWave("freighter", 1, 0, "MINAT", "survivor", 1)
	wave.spawnmode = 2				--start out on the map
	wave.faction = 1					--player's faction
	
	actor.addEvent("if_bossalive", 4)
	actor.addEvent("fleet_minat", 5)
	actor.addEvent("treasure", 6)
	
	--displayname co-opted as the description
	--actor.displayName = "Increased trade of scented soaps within the fleet generate +50 points each move."
	actor.displayName = "She has poor combat ability, but generates mad cash from selling soap if she makes it through a battle."

	--click dialogue
	actor.addClickText("This one smells like mint!")
	actor.addClickText("You can almost eat them! They're called cakes for a reason.")
	actor.addClickText("How about 3 for the price of 1?")
	actor.addClickText("I smell money!")
	actor.addClickText("Don't make me break your kneecaps... or whatever is your equivalent of kneecaps.")
	actor.addClickText("I'm so sick of eating soap.")
	--DIRECTOR'S CUT: these are just direct quotes from minat when she called while this was being written:
	actor.addClickText("Let's get some takeout. Know any good restaurants around here?")
	actor.addClickText("I'm hungry.")
	actor.addClickText("Asian-fusion eggrolls, snow crab, egg noodle, mmmmm.")
	actor.addClickText("Did you eat yet?")
end